> ## Documentation Index
> Fetch the complete documentation index at: https://ancplua.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1issues breadcrumbs

> Get issue breadcrumbs



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/issues/{issueId}/breadcrumbs
openapi: 3.0.0
info:
  title: QYL Observability API
  version: '2026-01-26'
servers:
  - url: https://api.staging.qyl.dev
    description: QYL Staging API
    variables: {}
  - url: https://api.qyl.dev
    description: QYL Production API
    variables: {}
security: []
tags:
  - name: Streaming
  - name: Traces
  - name: Logs
  - name: Metrics
  - name: Sessions
  - name: Errors
  - name: Deployments
  - name: Services
  - name: Health
  - name: Workspaces
  - name: Onboarding
  - name: Configurator
  - name: Issues
  - name: Workflows
  - name: Search
  - name: Alerts
paths:
  /api/v1/issues/{issueId}/breadcrumbs:
    get:
      tags:
        - Issues
      description: Get issue breadcrumbs
      operationId: IssuesApi_getBreadcrumbs
      parameters:
        - name: issueId
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Page size
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 50
            default: 20
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Qyl.Domains.Issues.ErrorBreadcrumbEntity
        '404':
          description: Resource not found (404)
          headers:
            X-Trace-Id:
              required: false
              description: Trace ID for correlation
              schema:
                type: string
            X-Request-Id:
              required: false
              description: Request ID for support
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Qyl.Common.Errors.NotFoundError'
        '500':
          description: Internal server error (500)
          headers:
            X-Trace-Id:
              required: false
              description: Trace ID for correlation
              schema:
                type: string
            X-Request-Id:
              required: false
              description: Request ID for support
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Qyl.Common.Errors.InternalServerError'
components:
  schemas:
    Qyl.Domains.Issues.ErrorBreadcrumbEntity:
      type: object
      required:
        - id
        - event_id
        - breadcrumb_type
        - level
        - timestamp
      properties:
        id:
          type: string
          description: Breadcrumb ID
        event_id:
          type: string
          description: Parent event
        breadcrumb_type:
          allOf:
            - $ref: '#/components/schemas/Qyl.Domains.Issues.BreadcrumbType'
          description: Breadcrumb type
        category:
          type: string
          description: Category (e.g. http, db, ui)
        message:
          type: string
          description: Breadcrumb message
        level:
          type: string
          description: Severity level
        data_json:
          type: string
          description: Breadcrumb data
          x-duckdb-type: JSON
        timestamp:
          type: string
          format: date-time
          description: Breadcrumb timestamp
      description: Pre-error context breadcrumb
      x-csharp-type: ErrorBreadcrumbEntity
      x-duckdb-table: error_breadcrumbs
    Qyl.Common.Errors.NotFoundError:
      type: object
      required:
        - title
      properties:
        title:
          type: string
          enum:
            - Not Found
        resource_type:
          type: string
          description: The type of resource that was not found
        resource_id:
          type: string
          description: The identifier that was not found
      allOf:
        - $ref: '#/components/schemas/Qyl.Common.Errors.ProblemDetails'
      description: Resource not found (404)
    Qyl.Common.Errors.InternalServerError:
      type: object
      required:
        - title
      properties:
        title:
          type: string
          enum:
            - Internal Server Error
        error_code:
          type: string
          description: Error code for support reference
      allOf:
        - $ref: '#/components/schemas/Qyl.Common.Errors.ProblemDetails'
      description: Internal server error (500)
    Qyl.Domains.Issues.BreadcrumbType:
      type: string
      enum:
        - navigation
        - http
        - query
        - user
        - log
        - error
        - debug
        - default
      description: Breadcrumb types
    Qyl.Common.Errors.ProblemDetails:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
          description: A URI reference identifying the problem type
          default: about:blank
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: >-
            The HTTP status code (informational only, actual code set by
            subtype)
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          format: uri
          description: A URI reference identifying the specific occurrence
        timestamp:
          type: string
          format: date-time
          description: Timestamp of the error
      description: RFC 7807 Problem Details for HTTP APIs

````